Bug 452461 - (CVE-2008-2369) CVE-2008-2369 RHN Satellite: information disclosure via manzier.pxt RPC script
CVE-2008-2369 RHN Satellite: information disclosure via manzier.pxt RPC script
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20080813,reported=20080619,sou...
: Security
Depends On: 452196 452462 452463 452464
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-23 02:57 EDT by Tomas Hoger
Modified: 2011-08-24 04:19 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-24 04:19:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-06-23 02:57:30 EDT
It was discovered that Red Hat Network Satellite used authentication based on a
single key hard-coded in the source code in the XML-RPC script manzier.pxt. 
Remote attacker able to connect to Satellite could use this to obtain some
information about RHN Satellite users (such as login names, associated email
addresses, internal user IDs, partial information about entitlements).
Comment 4 Mark J. Cox (Product Security) 2008-08-13 10:39:14 EDT
removing embargo
Comment 5 Tomas Hoger 2011-08-24 04:19:05 EDT
This issue was corrected in RHN Satellite 5.1:
  https://www.redhat.com/security/data/cve/CVE-2008-2369.html

There's no plan to address this in RHN Satellite 5.0 and earlier.

Note You need to log in before you can comment on or make changes to this bug.